Subject: Re: bug#52906: python-biopython conflicts with python-numpy

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 31 Dec 2021 11:14:22 +0100

zimoun <[email-masked]> writes:

> Hi,
>
> Using 7022eb6, the package ’python-biopython’ propagates
> ’python-numpy’, i.e., [email-masked].

Back then we reverted to numpy 1.20.x as the default because of numba,
which did not work with 1.21.  I’m now upgrading numba (and llvmlite) to
a more recent release candidate, which should bring compatibility with
numpy 1.21.

If that works we’ll make python-numpy-next the new python-numpy.

Your patch is an acceptable workaround.  Arguably this should have been
done when I made numpy 1.20 the default on the core-updates-frozen
branch.  I’ll apply your patch later today unless the switch to numpy
1.21 as the default is successful.

-- 
Ricardo